summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSergio2021-03-11 04:11:30 +0000
committerSergio2021-03-11 04:11:30 +0000
commit0b0e65c446d0140c9adc5020748e7ed37b5f7e61 (patch)
tree90188c557a0acdb7bd93d40cca83d048d6d51805
parentee05603a31eef46285f46e05cc61aabaf57a5eae (diff)
downloadaur-0b0e65c446d0140c9adc5020748e7ed37b5f7e61.tar.gz
updated PKGBUILD to drop python2
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD142
2 files changed, 73 insertions, 89 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 034f4b5f62c..5d60cc13319 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -5,32 +5,22 @@ pkgbase = python-spynnaker-git
url = https://pypi.org/project/sPyNNaker/#files
arch = any
license = GPL
- makedepends = python2
- makedepends = python2-setuptools
makedepends = python
makedepends = python-setuptools
makedepends = git
- depends = python2
depends = python
- depends = python2-lazyarray
depends = python-lazyarray
depends = python-neo
- depends = python2-neo
depends = python-quantities
- depends = python2-quantities
depends = python-lxml
- depends = python2-lxml
depends = python-jsonschema
- depends = python2-jsonschema
depends = python-future
- depends = python2-future
- depends = python2-futures
- depends = python2-sortedcontainers
depends = python-sortedcontainers
- depends = python2-sortedcollections
depends = python-sortedcollections
depends = python-requests
- depends = python2-requests
+ depends = python-numpy
+ depends = python-scipy
+ depends = python-matplotlib
source = spalloc::git+https://github.com/SpiNNakerManchester/spalloc.git
source = SpiNNaker_DataSpecification::git+https://github.com/SpiNNakerManchester/DataSpecification.git
source = SpiNNaker_PACMAN::git+https://github.com/SpiNNakerManchester/PACMAN.git
@@ -42,7 +32,6 @@ pkgbase = python-spynnaker-git
source = spinn_common::git+https://github.com/SpiNNakerManchester/spinn_common.git
source = spinnaker_tools::git+https://github.com/SpiNNakerManchester/spinnaker_tools.git
source = SpiNNakerGraphFrontEnd::git+https://github.com/SpiNNakerManchester/SpiNNakerGraphFrontEnd.git
- source = spynnaker8::git+https://github.com/SpiNNakerManchester/sPyNNaker8.git
source = https://files.pythonhosted.org/packages/source/P/PyNN/PyNN-0.9.5.tar.gz
sha256sums = SKIP
sha256sums = SKIP
@@ -55,10 +44,7 @@ pkgbase = python-spynnaker-git
sha256sums = SKIP
sha256sums = SKIP
sha256sums = SKIP
- sha256sums = SKIP
sha256sums = 91af2126b639a6a795bfc2709ac49423278c4794b6d0da143908b9afcb415f80
pkgname = python-spynnaker-git
-pkgname = python2-spynnaker-git
-
diff --git a/PKGBUILD b/PKGBUILD
index 4ebcbf78a80..582b0771256 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,15 +1,15 @@
# Maintainer: mcgyver <newsletter.sergio@gmail.com>
pkgbase=python-spynnaker-git
-pkgname=('python-spynnaker-git' 'python2-spynnaker-git')
+pkgname=('python-spynnaker-git')
pkgver=1
pkgrel=1
pkgdesc="Spinnaker implementation of PyNN"
arch=('any')
url="https://pypi.org/project/sPyNNaker/#files"
license=('GPL')
-makedepends=('python2' 'python2-setuptools' 'python' 'python-setuptools' 'git')
-depends=('python2' 'python' 'python2-lazyarray' 'python-lazyarray' 'python-neo' 'python2-neo' 'python-quantities' 'python2-quantities' 'python-lxml' 'python2-lxml' 'python-jsonschema' 'python2-jsonschema' 'python-future' 'python2-future' 'python2-futures' 'python2-sortedcontainers' 'python-sortedcontainers' 'python2-sortedcollections' 'python-sortedcollections' 'python-requests' 'python2-requests')
+makedepends=('python' 'python-setuptools' 'git')
+depends=('python' 'python-lazyarray' 'python-neo' 'python-quantities' 'python-lxml' 'python-jsonschema' 'python-future' 'python-sortedcontainers' 'python-sortedcollections' 'python-requests' 'python-numpy' 'python-scipy' 'python-matplotlib')
source=(
"spalloc::git+https://github.com/SpiNNakerManchester/spalloc.git"
"SpiNNaker_DataSpecification::git+https://github.com/SpiNNakerManchester/DataSpecification.git"
@@ -22,7 +22,6 @@ source=(
"spinn_common::git+https://github.com/SpiNNakerManchester/spinn_common.git"
"spinnaker_tools::git+https://github.com/SpiNNakerManchester/spinnaker_tools.git"
"SpiNNakerGraphFrontEnd::git+https://github.com/SpiNNakerManchester/SpiNNakerGraphFrontEnd.git"
-"spynnaker8::git+https://github.com/SpiNNakerManchester/sPyNNaker8.git"
"https://files.pythonhosted.org/packages/source/P/PyNN/PyNN-0.9.5.tar.gz"
)
@@ -38,18 +37,17 @@ sha256sums=(
'SKIP'
'SKIP'
'SKIP'
-'SKIP'
'91af2126b639a6a795bfc2709ac49423278c4794b6d0da143908b9afcb415f80')
pkgver() {
- printf "%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s" $(git -C sPyNNaker rev-list --count HEAD) $(git -C sPyNNaker rev-parse --short HEAD) $(git -C SpiNNFrontEndCommon rev-list --count HEAD) $(git -C SpiNNFrontEndCommon rev-parse --short HEAD) $(git -C spinn_common rev-list --count HEAD) $(git -C spinn_common rev-parse --short HEAD) $(git -C spinnaker_tools rev-list --count HEAD) $(git -C spinnaker_tools rev-parse --short HEAD) $(git -C SpiNNakerGraphFrontEnd rev-list --count HEAD) $(git -C SpiNNakerGraphFrontEnd rev-parse --short HEAD) $(git -C spynnaker8 rev-list --count HEAD) $(git -C spynnaker8 rev-parse --short HEAD) $(git -C spalloc rev-list --count HEAD) $(git -C spalloc rev-parse --short HEAD) $(git -C SpiNNaker_DataSpecification rev-list --count HEAD) $(git -C SpiNNaker_DataSpecification rev-parse --short HEAD) $(git -C SpiNNaker_PACMAN rev-list --count HEAD) $(git -C SpiNNaker_PACMAN rev-parse --short HEAD) $(git -C SpiNNMachine rev-list --count HEAD) $(git -C SpiNNMachine rev-parse --short HEAD) $(git -C SpiNNMan rev-list --count HEAD) $(git -C SpiNNMan rev-parse --short HEAD) $(git -C SpiNNUtilities rev-list --count HEAD) $(git -C SpiNNUtilities rev-parse --short HEAD)
+ printf "%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s.%s" $(git -C sPyNNaker rev-list --count HEAD) $(git -C sPyNNaker rev-parse --short HEAD) $(git -C SpiNNFrontEndCommon rev-list --count HEAD) $(git -C SpiNNFrontEndCommon rev-parse --short HEAD) $(git -C spinn_common rev-list --count HEAD) $(git -C spinn_common rev-parse --short HEAD) $(git -C spinnaker_tools rev-list --count HEAD) $(git -C spinnaker_tools rev-parse --short HEAD) $(git -C SpiNNakerGraphFrontEnd rev-list --count HEAD) $(git -C SpiNNakerGraphFrontEnd rev-parse --short HEAD) $(git -C spalloc rev-list --count HEAD) $(git -C spalloc rev-parse --short HEAD) $(git -C SpiNNaker_DataSpecification rev-list --count HEAD) $(git -C SpiNNaker_DataSpecification rev-parse --short HEAD) $(git -C SpiNNaker_PACMAN rev-list --count HEAD) $(git -C SpiNNaker_PACMAN rev-parse --short HEAD) $(git -C SpiNNMachine rev-list --count HEAD) $(git -C SpiNNMachine rev-parse --short HEAD) $(git -C SpiNNMan rev-list --count HEAD) $(git -C SpiNNMan rev-parse --short HEAD) $(git -C SpiNNUtilities rev-list --count HEAD) $(git -C SpiNNUtilities rev-parse --short HEAD)
}
prepare()
{
- cd "${srcdir}/SpiNNFrontEndCommon/c_common/front_end_common_lib/"
- sed -i "s/python/python2/" Makefile
- sed -i "s/python/python2/" local.mk
+# cd "${srcdir}/SpiNNFrontEndCommon/c_common/front_end_common_lib/"
+# sed -i "s/python/python2/" Makefile
+# sed -i "s/python/python2/" local.mk
cd "${srcdir}/spinnaker_tools"
sed -i "s/==/=/" setup
@@ -84,70 +82,73 @@ prepare()
source $PWD/setup.bash
make clean
PYTHONPATH="${srcdir}/SpiNNUtilities/" make || exit $?
- cd ../../SpiNNakerGraphFrontEnd/spinnaker_graph_front_end/examples/
+ cd ../../SpiNNakerGraphFrontEnd/gfe_examples/
+ make clean
+ PYTHONPATH="${srcdir}/SpiNNUtilities/" make || exit $?
+ cd ../../SpiNNakerGraphFrontEnd/gfe_integration_tests/
make clean
PYTHONPATH="${srcdir}/SpiNNUtilities/" make || exit $?
echo "Neural model compilation completed"
}
-package_python2-spynnaker-git() {
- cd "${srcdir}/spalloc"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNaker_DataSpecification"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNaker_PACMAN"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNMachine"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNMan"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNUtilities"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNFrontEndCommon"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/SpiNNakerGraphFrontEnd"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/${_name}"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/PyNN-0.9.5"
- python2 setup.py install --root="${pkgdir}"
-
- cd "${srcdir}/spynnaker8"
- python2 setup.py install --root="${pkgdir}"
-
-
- python2sitepackagesdir=`python2 -c "import site; print(site.getsitepackages()[0])"`
-
- echo -n "directory to install python2 packages: "
- echo ${python2sitepackagesdir}
-
- cd "${pkgdir}/${python2sitepackagesdir}"
- currentpath=`pwd`
- python2 -c "import sys; import os; sys.path.insert(0,os.getcwd()); import spynnaker8.setup_pynn"
-
-# if [ -d "${pkgdir}/${python2sitepackagesdir}/pyNN/nest/_build/" ]; then
-# cd "${pkgdir}/${python2sitepackagesdir}/pyNN/nest/_build/"
-# mv pynn_extensions.so "${pkgdir}/usr/lib"
-# mv libpynn_extensions.so "${pkgdir}/usr/lib"
-# fi
-
- cd "${pkgdir}/usr/bin"
- mv get_cores_in_run_state get_cores_in_run_state2
- mv spalloc spalloc2
- mv spalloc-job spalloc-job2
- mv spalloc-machine spalloc-machine2
- mv spalloc-ps spalloc-ps2
- mv spalloc-where-is spalloc-where-is2
-}
+#package_python2-spynnaker-git() {
+# cd "${srcdir}/spalloc"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNaker_DataSpecification"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNaker_PACMAN"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNMachine"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNMan"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNUtilities"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNFrontEndCommon"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/SpiNNakerGraphFrontEnd"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/${_name}"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/PyNN-0.9.5"
+# python2 setup.py install --root="${pkgdir}"
+#
+# cd "${srcdir}/spynnaker8"
+# python2 setup.py install --root="${pkgdir}"
+#
+#
+# python2sitepackagesdir=`python2 -c "import site; print(site.getsitepackages()[0])"`
+#
+# echo -n "directory to install python2 packages: "
+# echo ${python2sitepackagesdir}
+#
+# cd "${pkgdir}/${python2sitepackagesdir}"
+# currentpath=`pwd`
+# python2 -c "import sys; import os; sys.path.insert(0,os.getcwd()); import spynnaker8.setup_pynn"
+#
+## if [ -d "${pkgdir}/${python2sitepackagesdir}/pyNN/nest/_build/" ]; then
+## cd "${pkgdir}/${python2sitepackagesdir}/pyNN/nest/_build/"
+## mv pynn_extensions.so "${pkgdir}/usr/lib"
+## mv libpynn_extensions.so "${pkgdir}/usr/lib"
+## fi
+#
+# cd "${pkgdir}/usr/bin"
+# mv get_cores_in_run_state get_cores_in_run_state2
+# mv spalloc spalloc2
+# mv spalloc-job spalloc-job2
+# mv spalloc-machine spalloc-machine2
+# mv spalloc-ps spalloc-ps2
+# mv spalloc-where-is spalloc-where-is2
+#}
package_python-spynnaker-git() {
cd "${srcdir}/spalloc"
@@ -174,15 +175,12 @@ package_python-spynnaker-git() {
cd "${srcdir}/SpiNNakerGraphFrontEnd"
python setup.py install --root="${pkgdir}"
- cd "${srcdir}/${_name}"
+ cd "${srcdir}/sPyNNaker"
python setup.py install --root="${pkgdir}"
cd "${srcdir}/PyNN-0.9.5"
python setup.py install --root="${pkgdir}"
- cd "${srcdir}/spynnaker8"
- python setup.py install --root="${pkgdir}"
-
python3sitepackagesdir=`python -c "import site; print(site.getsitepackages()[0])"`
echo -n "directory to install python3 packages: "